Package relaxngcc.datatype

## Class Datatype

- java.lang.Object
- - relaxngcc.datatype.Datatype

-     public final class Datatype
      extends java.lang.Object

  Represents a RELAX NG datatype and its parsing code generator.
  Author:
    Kohsuke Kawaguchi (kk@kohsuke.org)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Datatype` | `NOOP` | Datatype instance that doesn't do any conversion.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `displayName()` | Gets the display name of this datatype.
    `CDExpression` | `generate​(NGCCGrammar grammar, CDVariable $text)` | Generates the expression that parses the specified string into a target language value type.
    `CDType` | `getType()` | Returns the type to which the return value from the generate method evaluates to.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NOOP

          public static final Datatype NOOP

      Datatype instance that doesn't do any conversion. This is the default logic.

  - ### Method Detail

    - #### generate

          public CDExpression generate​(NGCCGrammar grammar,
                                       CDVariable $text)
                                throws NoDefinitionException,
                                       java.io.IOException

      Generates the expression that parses the specified string into a target language value type.
      Parameters:
        `grammar` - This datatype is used for this grammar.
      Throws:
        `NoDefinitionException`
        `java.io.IOException`

    - #### getType

          public CDType getType()

      Returns the type to which the return value from the generate method evaluates to.

    - #### displayName

          public java.lang.String displayName()

      Gets the display name of this datatype. Usually this is the datatype name, but not always.
      Returns:
        a non-null valid string.